[Unit]
Description=Kieselstein Application Server
After=syslog.target network.target postgresql.service
Before=httpd.service
Requires=postgresql.service

[Service]
Type=simple
Environment=LAUNCH_JBOSS_IN_BACKGROUND=1
EnvironmentFile=/etc/environment
User=kieselstein
LimitNOFILE=102642
#PIDFile=/var/run/kieselstein/kieselstein.pid
ExecStart=/bin/bash -c '${KIESELSTEIN_DIST}/bin/launch-kieselstein-main-server.sh'
ExecStop=/bin/bash -c '${KIESELSTEIN_DIST}/bin/shutdown-kieselstein-main-server.sh'
StandardOutput=inherit

[Install]
WantedBy=multi-user.target
